%define uname   Tanks-of-Freedom

Name:           tanks-of-freedom
Version:        0.4.2
Release:        %mkrel 1
Summary:        Indie turn-based strategy game in isometric pixel art
Group:          Games/Strategy
License:        MIT and CC BY-SA 4.0 and OFL
URL:            http://tof.p1x.in
Source0:        https://github.com/w84death/Tanks-of-Freedom/archive/%{version}-beta/%{uname}-%{version}-beta.tar.gz

BuildArch:      noarch
Requires:       godot-runner

%description
Classic turn-based strategy game with two armies fighting against each
other. Challenge yourself in campaign against AI or hot-seat battle
with a friend. Using easy map editor you can create any imaginable
scenario to play and share online for others to discover!

%prep
%setup -q -n %{uname}-%{version}-beta

%build
cp -f buildConfig/engine_linux32.cfg engine.cfg

# Those files are not needed to play
rm -rf bin buildConfig .git{attributes,ignore}
find -name "*.ttf" -delete

%install
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a . %{buildroot}%{_gamesdatadir}/%{name}/

cat << EOF > %{name}.sh
#!/bin/sh
exec godot-runner -path %{_gamesdatadir}/%{name} "\$@"
EOF
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}

for size in 32 48 128 256 1024; do
  install -D -m644 assets/icons/icon${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Tanks of Freedom
GenericName=Turn-based strategy game
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%files
%doc CHANGELOG.md LICENSE.md README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Mar 16 2016 akien <akien> 0.4.2-1.mga5
+ Revision: 992215
- Version 0.4.2
- backport for mga5

* Mon Feb 29 2016 akien <akien> 0.4.1-1.mga6
+ Revision: 980996
- imported package tanks-of-freedom

